[Risolto] Installazione Mate non riuscita

Questo forum raccoglie tutte le discussioni sul progetto Gnome Slacky (Gnome per Slackware).

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Gslacky usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Citare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
al98murru
Linux 1.0
Linux 1.0
Messaggi: 19
Iscritto il: mar nov 28, 2017 21:59
Nome Cognome: Alessandro Murru
Slackware: 14.2 (64-bit)
Kernel: 4.4.14
Desktop: MATE
Località: Cagliari

[Risolto] Installazione Mate non riuscita

Messaggioda al98murru » mer gen 10, 2018 22:42

Salve a tutti, da poco ho comprato un nuovo computer, un Lenovo Ideapad z710, ed appena l' ho avuto, ci ho subito installato Slackware64 14.2 in dual boot con windows 10.
Ho provato ad installarci Mate, seguendo la procedura del sito ufficiale per Slackware (http://wiki.mate-desktop.org/download), scaricando il repository in formato zip, scompattandolo in root, ed eseguendo mate-build-base.sh, ma a metà installazione mi restituisce questo errore:

Codice: Seleziona tutto

configure: error: Package requirements (vte-2.91 >= 0.38
glib-2.0>= 2.36.0
gthread>= 2.0
gio-2.0>= 2.25.12
gtk+-3.0>= 3.14.0
dconf >= 0.13.4
x11) where not met:

No package vte-2.91 found
Consider adjusting the PKG_CONFIG_PATH environment visible if you
installed software in a non standard prefix.

Alternatively, you may set the environment variables TERM_CFLAGS
and TERM_LIBS to avoid the need to call pkg-config.
See the pkg_config man page for more details.


tutto questo mi sembra molto stano, dato che sul vecchio pc con la stessa versione di slackware appena installata ha funzionato perfettamente al primo colpo.

Qualcuno di voi, potrebbe spiegarmi come risolvere?
Ultima modifica di al98murru il gio gen 11, 2018 14:37, modificato 1 volta in totale.

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2265
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.14.12
Desktop: lxde
Località: Pisa
Contatta:

Re: Installazione Mate non riuscita

Messaggioda ponce » mer gen 10, 2018 23:42

il problema e' che, al link che indichi, hai seguito la procedura per installare la versione di mate da sorgenti che, come e' indicato, e' valida per current, infatti cerca il pacchetto di vte di current, non quello della 14.2.
molto piu' semplicemente disinstalla i pacchetti che hai messo e installalo dai pacchetti per la 14.2 indicati sempre sulla solita pagina
http://slackware.uk/msb/14.2/latest/

al98murru
Linux 1.0
Linux 1.0
Messaggi: 19
Iscritto il: mar nov 28, 2017 21:59
Nome Cognome: Alessandro Murru
Slackware: 14.2 (64-bit)
Kernel: 4.4.14
Desktop: MATE
Località: Cagliari

Re: Installazione Mate non riuscita

Messaggioda al98murru » gio gen 11, 2018 1:14

Ho scaricato i pacchetti del repo che mi hai consigliato, e li ho sostituiti ai precedenti con upgradepkg --install-new. Così facendo ho risolto.
Grazie mille